Create a Service Appointment issue
Creates a typed unresolved issue. The writable fields are issueType, notes, and reportedByTeamMemberId; severity, title, and description are not accepted.
Creates a typed unresolved issue. The writable fields are issueType, notes, and reportedByTeamMemberId; severity, title, and description are not accepted.
Authorization<token>
Organization API key. Format: Bearer sk_live_...
In: header
Path Parameters
id*string
Service Appointment identifier returned by the Organization API.
Request Body
application/json
JSON request payload for createServiceAppointmentIssue.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/service-appointments/string/issues" \ -H "Content-Type: application/json" \ -d '{ "issueType": "ACCESS_ISSUE", "notes": "Property manager approval is required for roof access." }'{ "data": {}, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}